.contact-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #e71717;
    color: white;
    padding: 15px 25px;
    font-size: 16px;
    font-weight: bold;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    z-index: 9999;
    transition: background-color 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    text-decoration: none;
}
.contact-button:hover {
    background-color: #911f1f;
    color: white;
}
.contact-button img {
    width: 20px;
    height: 20px;
}

.contact-popup {
    position: fixed;
    bottom: 80px;
    right: 20px;
    background: white;
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
    border-radius: 16px;
    padding: 25px 20px;
    width: 320px;
    display: none;
    z-index: 10000;
}
.close-btn {
    position: absolute;
    top: 12px;
    right: 16px;
    font-size: 22px;
    font-weight: bold;
    color: #999;
    cursor: pointer;
}
.contact-option {
    display: flex;
    align-items: center;
    gap: 12px;
    font-size: 15px;
    padding: 16px;
    border-radius: 10px;
    border: 1px solid #eee;
    margin-bottom: 12px;
    transition: background 0.2s;
}
.contact-option:hover {
    background-color: #f9f9f9;
}
.contact-option img {
    width: 28px;
    height: 28px;
}
@media only screen and (max-width: 768px) {
    .contact-button {
        left: 0;
        right: 0;
        width: 100%;
        bottom: 0;
        -moz-border-radius-topleft: 10px;
        -moz-border-radius-topright: 10px;
        font-size: 18px;
        padding: 18px;
    }
    .contact-popup {
        display: none !important;
    }
}